const system = require("../../../system");
const ServiceBase = require("../../svems.base");
var settings = require("../../../../config/settings");

class DomicileService extends ServiceBase {
  constructor() {
    super();
  }

  async nameList() {
    return await this.callms("common", "domicileNameList", {});
  }

  async tree(params) {
    return await this.callms("common", "domicileTree", {});
  }

  async page(params) {
    return await this.callms("common", "domicilePage", params);
  }

  async info(params) {
    return await this.callms("common", "domicileInfo", params);
  }

  async save(params) {
    return await this.callms("common", "domicileSave", params);
  }

  async del(params) {
    return await this.callms("common", "domicileDelete", params);
  }


}
module.exports = DomicileService;
